package dbpatient;

import java.text.ParseException;
import java.util.Date;
import java.util.Vector;

public class TSEIllness extends TSEvent
{
  private static final long serialVersionUID = 1L;

  // Use inherited ts_ as begin_illness_.
  Date end_illness_;
  
  String type_;
  String description_;
  Vector<String> symptoms_ = new Vector<String>();
  
  public void setEndTS(String tstamp)
  {
    try {
      end_illness_ = sdf_.parse(tstamp);
    }
    catch (ParseException e) {
      e.printStackTrace();
      System.exit(1);
    }
    catch (java.lang.NullPointerException e){
     end_illness_ = null;
    }
  }
  
  public String getEndTS()
  {
    if (end_illness_ == null){
      return "";
    }
    else {
      return sdf_.format(end_illness_);
    }
  }

  public void setType(String type)
  {
    if (type == null){
      type_ = "";
    }
    else {
      type_ = type;
    }
  }

  public void setDescription(String desc)
  {
    if (desc == null){
      description_ = "";
    }
    else {
      description_ = desc;
    }
  }

  public void addSymptom(String symptom)
  {
    if(symptom != null && !symptom.equals("")){
      symptoms_.add(symptom);
    }
  }

  public Vector<String> getSymptoms()
  {
    return symptoms_;
  }
}
