package dbpatient;

import java.text.ParseException;
import java.util.Date;

public class TSEPumpFailure extends TSEvent
{
  private static final long serialVersionUID = 1L;

  // Use inherited ts_ as begin_failure_.
  Date end_failure_;
  
  // Freeform text describing failure, as read from the Oracle DB.
  String diagnostic_;
  
  public void setEndTS(String tstamp)
  {
    try {
      end_failure_ = sdf_.parse(tstamp);
    }
    catch (ParseException e) {
      e.printStackTrace();
      System.exit(1);
    }
    catch (java.lang.NullPointerException e){
     end_failure_ = null;
    }
  }
  
  public String getEndTS()
  {
    if (end_failure_ == null){
      return "";
    }
    else {
      return sdf_.format(end_failure_);
    }
  }
}
