package dbpatient;

import java.text.ParseException;
import java.util.Date;

public class TSESleep extends TSEvent
{
  private static final long serialVersionUID = 1L;

  // Use inherited ts_ as begin_sleep_.
  Date end_sleep_;
  
  public int quality_;

  public void setEndTS(String tstamp)
  {
    try {
      end_sleep_ = sdf_.parse(tstamp);
    }
    catch (ParseException e) {
      e.printStackTrace();
      System.exit(1);
    }
    catch (java.lang.NullPointerException e){
     end_sleep_ = null;
    }
  }
  
  public String getEndTS()
  {
    if (end_sleep_ == null) {
      return "";
    }
    else {
      return sdf_.format(end_sleep_);
    }
  }
}
