package dbpatient;

import java.text.ParseException;
import java.util.Date;

public class TSEWork extends TSEvent
{
  private static final long serialVersionUID = 1L;

  // Use inherited ts_ as begin_work_;
  Date end_work_;
  
  // Intensity, read from the ORacle DB.
  int intensity_;
  
  public void setEndTS(String tstamp)
  {
    try {
      end_work_ = sdf_.parse(tstamp);
    }
    catch (ParseException e) {
      e.printStackTrace();
      System.exit(1);
    }
    catch (java.lang.NullPointerException e){
      end_work_ = null;
    }
  }
  
  public String getEndTS()
  {
    if (end_work_ == null){
      return "";
    }
    else {
      return sdf_.format(end_work_);
    }
  }
}
