package Diabetes.DataObjects;

import java.util.GregorianCalendar;

/**
 *
 * @author Matthew Wiley
 * @since 5-10-11
 */
public class BasalReading extends Reading implements Comparable<Reading> {

    public BasalReading(double value, GregorianCalendar start, GregorianCalendar end){
        super(start);
        this.value = value;
        this.start = start;
        this.end = end;
    }

    private GregorianCalendar start;
    private GregorianCalendar end;

    public GregorianCalendar getEnd() {
        return end;
    }

    public GregorianCalendar getStart() {
        return start;
    }

    
}
