package Diabetes.DataObjects;

import java.util.GregorianCalendar;

/**
 *
 * @author Matthew Wiley
 * @since 5-17-11
 */
public class ExerciseReading extends Reading {

    private GregorianCalendar start;
    private GregorianCalendar end;
    private int intensity;

    public ExerciseReading(GregorianCalendar t, GregorianCalendar duration, int intensity) {
        super(t);
        this.start = t;
        this.end = duration;
        this.intensity = intensity;
    }

    public GregorianCalendar getDuration() {
        return end;
    }

    public int getIntensity() {
        return intensity;
    }

    public GregorianCalendar getStart() {
        return start;
    }
}
