package Diabetes.DataObjects;

import java.util.GregorianCalendar;

/**
 *
 * @author Matthew Wiley
 * @since 5-17-11
 */
public class SleepReading extends Reading{
    public SleepReading(GregorianCalendar t){
        super(t);
    }
    private GregorianCalendar awake;
    private GregorianCalendar to_bed;
    public SleepReading(GregorianCalendar awake, GregorianCalendar to_bed){
        super(awake);
        this.awake = awake;
        this.to_bed = to_bed;
    }

    public GregorianCalendar getAwake() {
        return awake;
    }

    public GregorianCalendar getTo_bed() {
        return to_bed;
    }
    
}
