package Diabetes.DataObjects;

import java.util.GregorianCalendar;

/**
 *
 * @author Matthew Wiley
 * @since 1-10-11
 */
public class TimeInterval {

    public TimeInterval(GregorianCalendar start, GregorianCalendar end) {
        this.start = start;
        this.end = end;
    }

    public boolean isInsideInterval(GregorianCalendar t){
//        System.out.println("Comparing: " + DateUtil.makeTS(start) + "  <= " + DateUtil.makeTS(t) + " <= " + DateUtil.makeTS(end));
        return start.compareTo(t) <= 0 && end.compareTo(t) >= 0;
    }
    GregorianCalendar start;
    GregorianCalendar end;
}
