package Diabetes.DataObjects;

import java.util.GregorianCalendar;

/**
 *
 * @author Matthew Wiley
 * @since 5-17-11
 */
public class WorkReading extends Reading {
    private GregorianCalendar to_work;
    private GregorianCalendar from_work;
    private int intensity;
    public WorkReading(GregorianCalendar to_work, GregorianCalendar from_work, int intensity){
        super(to_work);
        this.to_work = to_work;
        this.from_work = from_work;
        this.intensity = intensity;
    }

    public int getIntensity() {
        return intensity;
    }

    
    public GregorianCalendar getFrom_work() {
        return from_work;
    }

    public GregorianCalendar getTo_work() {
        return to_work;
    }

}
