package dbpatient;

import java.text.ParseException;
import java.util.Date;

public class TSETempBasal extends TSEvent
{
  private static final long serialVersionUID = 1L;

  // Temporal Basal Rate value.
  public double value_;
  
  // Use inherited ts_ as begin_temp_basal_.
  public Date end_temp_basal_;
  
  public void setEndTS(String tstamp)
  {
    try {
      end_temp_basal_ = sdf_.parse(tstamp);
    }
    catch (ParseException e) {
      e.printStackTrace();
      System.exit(1);
    }
    catch (java.lang.NullPointerException e){
      end_temp_basal_ = null;
    }
  }
  
  public String getEndTS()
  {
    if (end_temp_basal_ == null){
      return "";
    }
    else {
      return sdf_.format(end_temp_basal_);
    }
  }
}
