package Diabetes.DataObjects;

import java.util.GregorianCalendar;

/**
 *
 * @author Matthew Wiley
 * @since 4-21-11
 */
public class BWZMealReading extends Reading implements Comparable<Reading> {

    public BWZMealReading(GregorianCalendar t) {
        super(t);
    }

    public BWZMealReading(GregorianCalendar t, int bwz_carbs) {
        super(t);
        this.bwz_carbs = bwz_carbs;
    }
    private double bwz_carbs;

    public double getBwz_carbs() {
        return bwz_carbs;
    }
}
